From Fedora Project Wiki

GHC version recommended LLVM version Fedora archs defaulting to llvm backend
9.2 10 or 11 aarch64, armv7hl (s390x not bootstrapped yet but supported)
9.0.1 9 aarch64, armv7hl (s390x not bootstrapped yet but supported)
8.10.5 10 aarch64, armv7hl (s390x not bootstrapped yet but supported)
8.10.4 9 aarch64, armv7hl (s390x not bootstrapped yet but supported)
8.8 7 aarch64, armv7hl
8.6 6 aarch64, armv7hl
8.4 5 aarch64, armv7hl
8.2 3.9 aarch64, armv7hl

x86_64, i686 and ppc64le have Native Code Generation (NCG).

At least x86_64 and i686 also support the LLVM backend.

GHC 9.2 should also get NCG for aarch64.